Skip to main content
PATCH
Update Patient Details

Headers

auth
string
required

The auth token of business_id. It is used to authenticate the business. The token can be fetched from the auth api.

Path Parameters

patient_id
string
required

Query Parameters

partner_id
string
required

If set to 1 then appointment_id in path parameter should be partner_appointment_id else eka apppointment_id

Example:

"1"

Body

application/json

Request body for updating a patient to the directory

dob
string<date>

Date of birth of the patient (YYYY-MM-DD)

Example:

"1987-01-06"

designation
enum<string>

Title or designation of the patient

Available options:
Mr.,
Ms.,
Mrs.,
Miss.,
Kumar.,
Shri.,
Smt.,
Dr.,
Master.,
Baby.,
Mohd.,
B/O
Example:

"Mr."

first_name
string

First name of the patient

Example:

"Test"

middle_name
string

Middle name of the patient (if any)

Example:

""

last_name
string

Last name of the patient

Example:

"Patient"

gender
enum<string>

Gender of the patient (e.g., 'M' for male, 'F' for female, 'O' for others)

Available options:
M,
F,
O
Example:

"M"

address
object

Address details of the patient

partner_meta
object

Response

OK

patient_id
string
Example:

"123456789"